# Filter the Perl extension module
%{?perl_default_filter}

%global pkgname DBD-Firebird

Summary:        A Firebird interface for perl
Name:           perl-DBD-Firebird
Version:        1.21
Release:        1%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/%{pkgname}/
Source:         http://search.cpan.org/CPAN/authors/id/D/DA/DAM/%{pkgname}-%{version}.tar.gz
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl >= 5.10.1, perl(DBI) >= 1.41, perl(ExtUtils::MakeMaker)
BuildRequires:  firebird >= 2.5.1, firebird-devel >= 2.5.1, perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.4, perl(base), perl(Carp), perl(constant)
BuildRequires:  perl(Data::Dumper), perl(DBI::DBD), perl(Encode), perl(Exporter)
BuildRequires:  perl(File::Which), perl(File::Temp), perl(Getopt::Long), perl(lib)
BuildRequires:  perl(Time::HiRes), perl(Test::Deep)

%description
DBD::Firebird is a Perl module that works with the DBI module to provide
access to Firebird databases.

%prep
%setup -q -n %{pkgname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# Test for ib_set_tx_param() seems to be buggy (thus disable for now)
rm -f t/embed-62-timeout.t

# Disable thread-based test of ib_wait_event, as this test cannot be
# guaranteed to succeed with overloaded host, see:
# - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719582
# - https://bugzilla.redhat.com/show_bug.cgi?id=1228642
# - https://bugzilla.redhat.com/show_bug.cgi?id=1161469
export AUTOMATED_TESTING=1

# Full test coverage requires a live Firebird database (see the README file)
make test

%files
%doc Changes README
%{perl_vendorarch}/DBD/
%{perl_vendorarch}/auto/DBD/
%{_mandir}/man3/*.3*

%changelog
* Tue Sep 29 2015 Robert Scheck <robert@fedoraproject.org> 1.21-1
- Upgrade to 1.21 (#1267292)

* Mon Jun 22 2015 Robert Scheck <robert@fedoraproject.org> 1.20-1
- Upgrade to 1.20

* Mon Jun 22 2015 Robert Scheck <robert@fedoraproject.org> 1.19-4
- Disable failed test with overloaded host (#1161469, #1228642)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.19-2
- Perl 5.22 rebuild

* Fri Apr 03 2015 Robert Scheck <robert@fedoraproject.org> 1.19-1
- Upgrade to 1.19 (#1207216)

* Sun Oct 12 2014 Robert Scheck <robert@fedoraproject.org> 1.18-1
- Upgrade to 1.18

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.11-7
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 1.11-3
- Perl 5.18 rebuild

* Fri Apr 19 2013 Robert Scheck <robert@fedoraproject.org> 1.11-2
- Changes to match with Fedora Packaging Guidelines (#951874)

* Sun Apr 14 2013 Robert Scheck <robert@fedoraproject.org> 1.11-1
- Upgrade to 1.11
- Initial spec file for Fedora and Red Hat Enterprise Linux
